Results 1 to 9 of 9

Thread: Unable to install Adobe Flash on fresh beta install

  1. #1
    Join Date
    Apr 2006
    Beans
    479
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Question [SOLVED ]Unable to install Adobe Flash on fresh beta install

    I've just completed a fresh install of the Karmic 9.10 Beta on an IBM Thinkpad T23 with an S3 videocard. When I try to install Flash through the repositories it says 'unsupported' and when I try to install from the .DEB (downloaded from Adobe.com) it reports a conflict with "libns-dev" something or other.

    Is there a hardware dependency here, something that my old S3 videocard is causing? Is the official Adobe DEB incompatible with the Karmic Beta?

    P.S. No, I have not tried either of the open-source Flash alternatives.
    Last edited by bsmith1051; October 7th, 2009 at 06:18 AM.

  2. #2
    Join Date
    Jan 2009
    Beans
    Hidden!

    Re: Unable to install Adobe Flash on fresh beta install

    have you tried installing the package ubuntu-restricted-extras? flash should be included, maybe you were trying to install the wrong package(s)?

  3. #3
    Join Date
    Apr 2006
    Beans
    479
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Unable to install Adobe Flash on fresh beta install

    I forgot to mention: the first thing I tried was to let Firefox look for add-in's but it failed.

    re packages, I confirmed that all the repositories were enabled (e.g. universe and multiverse) then did a quick search for 'flash' but didn't see the regular flash package.

    What's the 'ubuntu-restricted-extras' package? That sounds suspiciously like a 'codec pak' which I've learned to avoid. All I want to install is the official Flash.

    P.S. I have gotten some of these details wrong, I'm at work right now and don't have the laptop here to double-check. I'll try again tonight, hopefully.

  4. #4
    Join Date
    May 2006
    Location
    Amsterdam
    Beans
    1,731
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Unable to install Adobe Flash on fresh beta install

    See if you can install these packages:

    Code:
    http://archive.canonical.com karmic/partner              adobe-flashplugin                   10.0.22.87-2jaunty1
    http://nl.archive.ubuntu.com karmic/multiverse           flashplugin-installer               10.0.32.18ubuntu1
    http://nl.archive.ubuntu.com karmic/multiverse           flashplugin-nonfree                 10.0.32.18ubuntu1
    Included the repo's from which they come.
    Upgrade Ubuntu | Upgrade unsupported Ubuntu versions | Always backup | Howto upgrade flash
    Minimal CD install | Remove old kernels | My blog | Linux user #462801 | Conscience doth make cowards of us all. -- Shakespeare

  5. #5
    Join Date
    Apr 2006
    Beans
    479
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Unable to install Adobe Flash on fresh beta install

    bah! All the fancier options didn't work well but, in fact, the 'first choice' Software Store worked fine. I just was thrown by the fact that the official Flash is still labeled "Macromedia Flash" rather than "Adobe Flash" (so I didn't find it before).

    It's now working fine.

  6. #6
    Join Date
    Sep 2006
    Location
    Southern Indiana, USA
    Beans
    1,644
    Distro
    Ubuntu 12.04 Precise Pangolin

    Exclamation Re: Unable to install Adobe Flash on fresh beta install

    I had a bugger of a time last night with this - it was something about he "iceape" and after much angst I found that by deleting (in root) all the files that say "flashplugin" (oh my, or was it "Flashinstaller) and the relevant directories, as well as disabling any flash related (FlashBlock, NoScript) plugins in Firefox, and then reinstalling from the Repos, all was well.

    The package was so "broken" I couldn't install or uninstall it in anyway known!

    I am sure it's related to Beta test, but I DID install it from the Adobe site, for that is the newest release (I even am told that "there is an older version available in teh repositories...") and I think that was a factor, too.

    Just a tale of woe for those interested.
    Ubuntu 12.04 LTS (& Windows XP-SP3 for Flight Sim only) - (1) 3.4 G/3G RAM/NVIDIA GT630, 2048VRAM/SB AudigySE Audio (2) 2.9 G/2G RAM/NVIDIA 9500GT,1024VRAM/SB Audio (3) 2.3 G/2G RAM/NVIDIA FX1500M,256VRAM/Sigmatel Audio

  7. #7
    Join Date
    May 2005
    Location
    Sweden
    Beans
    109
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Unable to install Adobe Flash on fresh beta install

    I had to run

    Code:
    $ sudo aptitude reinstall flashplugin-installer
    to get it to work. Probably was some problem with downloading the files from adobe.

  8. #8
    Join Date
    Oct 2008
    Beans
    11

    Re: Unable to install Adobe Flash on fresh beta install

    I'm having this problem right now, nothing I'm doing seems to work, posted some of the output below.

    How do I remove everything with "flashplugin" in the title? rm something?

    $ sudo aptitude reinstall flashplugin-installer
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Initializing package states... Done
    Writing extended state information... Done
    flashplugin-installer is not currently installed, so it will not be reinstalled.
    flashplugin-installer is not currently installed, so it will not be reinstalled.
    The following partially installed packages will be configured:
    adobe-flashplugin
    0 packages upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
    Need to get 0B of archives. After unpacking 0B will be used.
    E: I wasn't able to locate file for the adobe-flashplugin package. This might mean you need to manually fix this package.
    Writing extended state information... Done
    E: I wasn't able to locate file for the adobe-flashplugin package. This might mean you need to manually fix this package.
    E: Internal error: couldn't generate list of packages to download

    And also
    E: The package adobe-flashplugin needs to be reinstalled, but I can't find an archive for it.

  9. #9
    Join Date
    Apr 2006
    Beans
    479
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Unable to install Adobe Flash on fresh beta install

    Quote Originally Posted by lagamemnon View Post
    I'm having this problem right now
    How did you originally install it, from the new Ubuntu Store (automatic) or from the Adobe web-site (manually) ?

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •